SplPriorityQueue::top
SplFixedArray
SplPriorityQueue
PHP Manual

# SplPriorityQueue::valid

(PHP 5 >= 5.3.0)

SplPriorityQueue::valid — Check whether the queue contains more nodes

### Description

bool SplPriorityQueue::valid ( void )

Checks if the queue contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the queue contains any more nodes, `FALSE` otherwise.

SplPriorityQueue::top
SplFixedArray
SplPriorityQueue
PHP Manual